# Blflow

This code solves the boundary layer velocity profile that occurs due to an
acoustic wave in the vicinity of a wall. In a small layer (the viscous boundary
 layer thickness ($\delta_\nu$)), the presence of the wall affects the velocity
  field which would otherwise be a "plug" flow.

The following files are in this repository:

- blflow.py: when run, it shows the harmonic, and time dependent solution of
  the axial velocity in the boundary layer close to a no-slip wall.
- parplateflow.py: when run, it shows the the harmonic, and time dependent
  solution of the axial velocity for 2D flow between two parallel plates at
  distances y=0, and y=1.

Frequency and dimensions are chosen such that the boundary layer is moderately
thick compared to the domain. Here we show the solution close to a boundary
layer as an animated gif:

[blflow gif](blflow.gif)
